Subject: Re: still sometimes a wrong page on Style commands

From: Dominik Vogt <[email-masked]>
Date: Mon, 24 Apr 2000 14:00:57 +0200

On Thu, Dec 30, 1999 at 10:14:27AM +0100, Dominik Vogt wrote:
> On Thu, Dec 30, 1999 at 08:04:28AM +0100, Dominik Vogt wrote:
> > On Thu, Dec 30, 1999 at 02:54:05AM +0200, Mikhael Goikhman wrote:
> > > Just want to let you know that I experienced several times that some
> > > windows or icons change their page (usually to (0, 0)) during random Style
> > > commands (and sometimes on Recapture or Restart too). The coordinates
> > > inside a page are preserved.
> > 
> > Please pay close attention to the exact circumstances when this happens.
> > My guess is that only icons are screwed up during a recapture or
> > restart.  I'm positive that the new window placement code is bullet
> > proof (regarding restart and recapture).  I have seen a window shading
> > or unshading (can't remember which) to page (0, 0) too.  There is
> > possibly a place where update_absolute_geometry() is not called when
> > a window is moved over a page boundary. 
> 
> 'k, I#ve fixed a few bugs there, but I don't believe they cover
> everything.

Mikhael, I never got an answer from you if your problem went
away or not.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 25 Apr 2000 00:28:03 +0300

> Mikhael, I never got an answer from you if your problem went

I didn't see this problem for some time. Not very reliable, but if there
are no similar reports, remove it. I'll let you know if I see it again.

Regards,
Mikhael.